Texa DeskDevelopers

Texa Desk Application API · Automation rule

Get a automation rule details

GET/api/v1/accounts/{account_id}/automation_rules/{id}

Get the details of a automation rule in the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the Automation Rule

idintegerrequired

The ID of the automation rule to be updated.

Responses

200

Success

payloadarray of object or object

Response payload that contains automation rule(s)

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

The given rule ID does not exist in the account

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring